from django.urls import path
from chat import views

urlpatterns = [
    path('', views.home_view, name='home'),
    path('register/', views.register_view, name='register'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),
    path('channel/create/', views.create_channel_view, name='create_channel'),
    path('channel/<int:channel_id>/', views.channel_view, name='channel'),
    path('channel/<int:channel_id>/delete/', views.delete_channel_view, name='delete_channel'),
    path('dm/<str:username>/', views.dm_view, name='dm'),
    path('profile/', views.profile_view, name='profile'),
    path('admin-panel/', views.admin_panel_view, name='admin_panel'),
    path('message/<int:message_id>/delete/', views.delete_message_view, name='delete_message'),
    path('user/<int:user_id>/block/', views.block_user_view, name='block_user'),
]
